[regression][precise] Screen flickering on unity 5.16

Bug #1059467 reported by Id2ndR on 2012-10-01
18
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Unity
Confirmed
High
Unassigned
unity (Ubuntu)
Precise
High
Unassigned

Bug Description

Since last unity update from 5.14.0-0ubuntu1 to 5.16.0-0ubuntu1, I got a lot a flickering.

Tests I run that didn't change anything:
- start a guess session (clean unity/compiz configuration)
- upgrade x stack using xorg-edgers
- run linux 3.2 or linux 3.5 with difference xserver-xorg-video-intel

Sea some of the images to get some example.

It flickers only when the screen is draw; for example when I click on the screen or add a character using the keyboard.

Interesting things:
- it's mostly areas that are NOT in the active window that flickers (black rectangles)
- when clicking on an indicator, the new content is black until the mouse moves among it.
- the wallpaper alternates (flickers) between the default ubuntu wallpaper and a unified color that seams to be the mean color of the default ubuntu wallpaper

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: unity 5.16.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-27.43-generic-pae 3.2.21
Uname: Linux 3.2.0-27-generic-pae i686
.tmp.unity.support.test.0:

ApportVersion: 2.0.1-0ubuntu13
Architecture: i386
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
Date: Mon Oct 1 11:16:34 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation 82G33/G31 Express Integrated Graphics Controller [8086:29c2] (rev 0a) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:0294]
   Subsystem: Dell Device [1028:0294]
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328)
MachineType: Dell Inc. OptiPlex 360
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-27-generic-pae root=UUID=22098e42-efe8-4871-bd74-8ed3550628cf ro quiet splash vt.handoff=7
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/02/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A02
dmi.board.name: 0T656F
dmi.board.vendor: Dell Inc.
dmi.board.version: A01
dmi.chassis.type: 6
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA02:bd07/02/2009:svnDellInc.:pnOptiPlex360:pvr:rvnDellInc.:rn0T656F:rvrA01:cvnDellInc.:ct6:cvr:
dmi.product.name: OptiPlex 360
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.7.8-0ubuntu1.4
version.libdrm2: libdrm2 2.4.39+git20120918.2426a6a7-0ubuntu0ricotz2~precise
version.libgl1-mesa-dri: libgl1-mesa-dri 9.1~git20120929.9549e55f-0ubuntu0ricotz~precise
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.1~git20120929.9549e55f-0ubuntu0ricotz~precise
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.8
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Id2ndR (id2ndr) wrote :
Id2ndR (id2ndr) wrote :
Id2ndR (id2ndr) wrote :
Id2ndR (id2ndr) wrote :

The package updates that may be responsible of this trouble:
Start-Date: 2012-09-24 09:54:50
Commandline: aptdaemon role='role-commit-packages' sender=':1.82'
Upgrade: libgs9-common:i386 (9.05~dfsg-0ubuntu4.1, 9.05~dfsg-0ubuntu4.2), libgnomevfs2-0:i386 (2.24.4-1ubuntu2, 2.24.4-1ubuntu2.1), libdbus-1-3:i386 (1.4.18-1ubuntu1, 1.4.18-1ubuntu1.1), rhythmbox:i386 (2.96-0ubuntu4.1, 2.96-0ubuntu4.2), ghostscript-x:i386 (9.05~dfsg-0ubuntu4.1, 9.05~dfsg-0ubuntu4.2), rhythmbox-data:i386 (2.96-0ubuntu4.1, 2.96-0ubuntu4.2), rhythmbox-mozilla:i386 (2.96-0ubuntu4.1, 2.96-0ubuntu4.2), software-center:i386 (5.2.5, 5.2.6), rhythmbox-plugin-zeitgeist:i386 (2.96-0ubuntu4.1, 2.96-0ubuntu4.2), dbus:i386 (1.4.18-1ubuntu1, 1.4.18-1ubuntu1.1), rhythmbox-plugin-cdrecorder:i386 (2.96-0ubuntu4.1, 2.96-0ubuntu4.2), librhythmbox-core5:i386 (2.96-0ubuntu4.1, 2.96-0ubuntu4.2), tzdata-java:i386 (2012e-0ubuntu0.12.04, 2012e-0ubuntu0.12.04.1), rhythmbox-plugins:i386 (2.96-0ubuntu4.1, 2.96-0ubuntu4.2), libgnomevfs2-extra:i386 (2.24.4-1ubuntu2, 2.24.4-1ubuntu2.1), libgs9:i386 (9.05~dfsg-0ubuntu4.1, 9.05~dfsg-0ubuntu4.2), gir1.2-rb-3.0:i386 (2.96-0ubuntu4.1, 2.96-0ubuntu4.2), tzdata:i386 (2012e-0ubuntu0.12.04, 2012e-0ubuntu0.12.04.1), ghostscript:i386 (9.05~dfsg-0ubuntu4.1, 9.05~dfsg-0ubuntu4.2), dbus-x11:i386 (1.4.18-1ubuntu1, 1.4.18-1ubuntu1.1), rhythmbox-plugin-magnatune:i386 (2.96-0ubuntu4.1, 2.96-0ubuntu4.2), libgnomevfs2-common:i386 (2.24.4-1ubuntu2, 2.24.4-1ubuntu2.1), ghostscript-cups:i386 (9.05~dfsg-0ubuntu4.1, 9.05~dfsg-0ubuntu4.2)
End-Date: 2012-09-24 09:56:23

summary: - [Precise] Screen flickering on unity
+ [regression][precise] Screen flickering on unity 5.16
Changed in unity:
milestone: none → 5.18.0
importance: Undecided → High
Omer Akram (om26er) wrote :

Thanks for the bug report. Can you please look into downgrading unity to 5.14 and see if the issue still happen? I believe to have seen that issue in another bug report even before the SRU

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Omer Akram (om26er) on 2012-10-02
Changed in unity:
status: New → Incomplete
Changed in unity (Ubuntu):
status: Confirmed → Incomplete
Omer Akram (om26er) on 2012-10-02
Changed in unity (Ubuntu):
importance: Undecided → High
no longer affects: unity (Ubuntu)
Changed in unity (Ubuntu Precise):
importance: Undecided → High
Changed in unity:
status: Incomplete → Confirmed
Changed in unity (Ubuntu Precise):
status: New → Confirmed
Id2ndR (id2ndr) wrote :

Please explain me how to downgrade unity to 5.14.

fabien@fad-OptiPlex-360:~$ apt-cache madison unity
     unity | 5.16.0-0ubuntu1 | http://fr.archive.ubuntu.com/ubuntu/ precise-updates/main i386 Packages
     unity | 5.10.0-0ubuntu6 | http://fr.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
fabien@fad-OptiPlex-360:~$ ls /var/cache/apt/archives/unity*5.14*
ls: impossible d'accéder à /var/cache/apt/archives/unity*5.14*: Aucun fichier ou dossier de ce type

Thanks.

Timo Jyrinki (timo-jyrinki) wrote :

Before trying the unity 5.14, it would be useful to try the current 12.10 stack backport to Precise: https://launchpad.net/~ubuntu-x-swat/+archive/q-lts-backport

Xorg-edgers in itself is not supported, but the 12.10 kernel / graphics stack will be offered on 12.04.2 LTS CD:s and optionally for current 12.04 LTS users.

Please run ppa-purge first, though, to downgrade to normal 12.04 packages, since xorg-edgers versions are higher than in the mentioned PPA.

Id2ndR (id2ndr) wrote :
Id2ndR (id2ndr) wrote :

I just add ppa:ubuntu-x-swat/q-lts-backport and update packages and reboot. I still got the exact same behavior. xserver-xorg-video-intel wasn't updated.

What is the way to go back to Unity 5.14 to be sure that the trouble came with 5.16 ? I had some video troubles that were similar mouths ago when precise wasn't release.

Id2ndR (id2ndr) wrote :

As nobody was able to point me the url https://answers.launchpad.net/ubuntu/+question/31810 I had to search for it by myself.

So I then found https://launchpad.net/ubuntu/+source/unity/5.14.0-0ubuntu1/+build/3676768
and downloaded the 4 packages below :
libunity-core-5.0-5_5.14.0-0ubuntu1_i386.deb
unity_5.14.0-0ubuntu1_i386.deb
unity-common_5.14.0-0ubuntu1_all.deb
unity-services_5.14.0-0ubuntu1_i386.deb

After installing these, close and restart the session, all the troubles described above are gone and I can now use again LibreOffice menus.

So I can confirm that the troubles appear when I upgrade unity to 5.16.

Daniel van Vugt (vanvugt) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 1042211, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

Id2ndR (id2ndr) wrote :

I used mesa 9.0 in precise. So I created a script (attached) to revert to version 8.0.4 and fix the trouble with latest unity packages.

To post a comment you must log in.